Skip to main content
POST
Test a connection

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Path Parameters

connectionId
string<uuid>
required

The unique identifier of the connection. Connection ID (UUID)

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

Response

Test result

connectionId
string
required

Internal Matcher connection identifier that was tested

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

healthy
boolean
required

Whether the connectivity test succeeded

latencyMs
integer<int64>
required

Round-trip connectivity test latency in milliseconds

Example:

42

errorMessage
string

Sanitized error message when the test failed; empty on success